Sign up and create an organization
curl --request POST \
--url https://api.01ads.com/v1/signup \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"name": "Ada Lovelace",
"organizationName": "Acme Corp",
"organizationSlug": "acme-corp",
"provider": "magic-link"
}
'import requests
url = "https://api.01ads.com/v1/signup"
payload = {
"email": "jsmith@example.com",
"name": "Ada Lovelace",
"organizationName": "Acme Corp",
"organizationSlug": "acme-corp",
"provider": "magic-link"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
name: 'Ada Lovelace',
organizationName: 'Acme Corp',
organizationSlug: 'acme-corp',
provider: 'magic-link'
})
};
fetch('https://api.01ads.com/v1/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"organizationSlug": "<string>",
"provider": "magic-link"
}{
"type": "about:blank",
"title": "Validation Failed",
"status": 400,
"detail": "The request does not match the expected schema.",
"instance": "/v1/organizations/acme-corp/workspaces",
"requestId": "7c1b0c1e-5b7d-4b2a-9f1e-3c2d1a0b9e8f",
"errors": [
{
"path": "name",
"message": "Too small: expected string to have >=1 characters"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"instance": "/v1/me",
"detail": "<string>",
"requestId": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"instance": "/v1/me",
"detail": "<string>",
"requestId": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"instance": "/v1/me",
"detail": "<string>",
"requestId": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}account
Sign up and create an organization
Unauthenticated. Parks the organization details and starts the sign-in flow; the organization is created, with the caller as admin, when their next session is created. The email domain becomes the organization domain — public mailbox domains and domains that already belong to an organization are refused.
POST
/
v1
/
signup
Sign up and create an organization
Body
application/json
Work email; its domain becomes the organization domain
Display name of the person signing up
Required string length:
1 - 100Example:
"Ada Lovelace"
Required string length:
1 - 100Example:
"Acme Corp"
Pattern:
^[a-z0-9][a-z0-9-]*$Example:
"acme-corp"
'magic-link' emails a sign-in link; 'google' and 'microsoft' only park the request — the client then starts that provider's flow (GET /v1/auth/{provider})
Available options:
magic-link, google, microsoft Was this page helpful?